## gcc-defaults 1.32

=== debian/changelog ===
gcc-defaults (1.32) dapper; urgency=low

  * Depend on the 3.4.6, 4.0.3, 4.1.0 final releases.
  * Build-depend on the appropriate gcc-X.Y-base packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Mar 2006 22:10:48 +0000

gcc-defaults (1.31) dapper; urgency=low

  * Make gij-4.1/gcj-4.1 the default gij/gcj.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Feb 2006 21:20:31 +0000
