## gcc-defaults 1.41ubuntu3

=== debian/changelog ===
gcc-defaults (1.41ubuntu3) edgy; urgency=low

  * gij: Provide java2-runtime.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Sep 2006 14:18:12 +0200

gcc-defaults (1.41ubuntu2) edgy; urgency=low

  * Build libgcj-bc from the gcc-defaults source package.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Aug 2006 11:42:06 +0200

gcc-defaults (1.41ubuntu1) edgy; urgency=low

  * gij: Add symlinks for gcj-dbtool, grmiregistry.
  * gcj: Add symlinks for gcjh-wrapper.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Aug 2006 14:59:07 +0000

gcc-defaults (1.41) unstable; urgency= low

  [Ludovic Brenta]
  * Do not build gnat on m32r.  Closes: #379079.

  [Michael Banck]
  * debian/control (Build-Depends): Conditionalize gcj-4.1 to !hurd-i386.
  * debian/rules:
    + Use hurd-i386, not gnu-i386 when matching DEB_HOST_ARCH.
    + Add gcj and gij to no_packages for hurd-i386.
  * Closes: #381018.

  [Matthias Klose]
  * Do not build dependency packages for -doc packages licensed under the GFDL.
  * Do not install symlinks for manpages licensed under the GFDL.
    Closes: #200003.
  * README: Mention gfortran.
  * Add paragraph about missing GFDL'd docs and manual pages.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Aug 2006 23:42:01 +0200

gcc-defaults (1.40) unstable; urgency=low

  * Don't build gnat-doc on arm and m68k.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jul 2006 22:04:21 +0000

gcc-defaults (1.39) unstable; urgency=medium

  * Fix another build failure on arm.
  * Update the README.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jul 2006 12:09:14 +0000

gcc-defaults (1.38) unstable; urgency=low

  * Fix the build failure on arm (don't try to build gnat).
  * Set section of -doc packages to doc.
  * Drop the libgcj-dev package; let gcj provide libgcj-dev.
  * gcj: Add a symlink /usr/share/java/libgcj.jar.

 -- Matthias Klose <doko@debian.org>  Thu,  6 Jul 2006 03:18:27 +0200

gcc-defaults (1.37) unstable; urgency=medium

  [Ludovic Brenta]
  * Provide a gnat package that depends on the default Ada compiler.
  * Update README.Debian for gnat, gfortran.  Simplify it.
  * debian/rules: reorder architectures alphabetically for future
    maintainability.  Clean up the way we exclude some languages
    on some architectures.  Disable Ada on m68k and GNU/Hurd, in
    addition to GNU/NetBSD, SH3 and SH4 targets.
  * debian/control (gnat): depend on cpp.

  [Matthias Klose]
  * Build a gnat-doc package.
  * Remove chill from the control file.
  * gcj: Add a /usr/share/java/libgcj.jar symlink.

 -- Matthias Klose <doko@debian.org>  Tue,  4 Jul 2006 23:52:43 +0200
	

gcc-defaults (1.36) unstable; urgency=medium

  * Make gcc-4.1 the default C compiler, g++-4.1 the default C++ compiler,
    gobjc-4.1 the default ObjC compiler, treelang-4.1 the default Treelang
    compiler, gfortran-4.1 the default Fortran compiler.
    Closes: #366820.
  * Don't build the chill package anymore.
  * Build-depend on gcj-4.1-base, instead of gcc-4.0-base. Closes: #367952.

 -- Matthias Klose <doko@debian.org>  Tue,  6 Jun 2006 03:10:08 +0200

gcc-defaults (1.35) unstable; urgency=low

  * Make gij-4.1/gcj-4.1 the default gij/gcj.
  * gij: Add a conflict to java-gcj-compat (<< 1.0.56).
  * Fix typo in gpc package description (closes: #363619).
  * gobjc++: Recommend g++ and gobjc.
  * Handle c89/c99 binaries by alternatives (closes: #365039).

 -- Matthias Klose <doko@debian.org>  Sun,  7 May 2006 11:09:59 +0200

gcc-defaults (1.34) unstable; urgency=low

  * Fix typo in debian/rules.

 -- Matthias Klose <doko@debian.org>  Sun,  2 Apr 2006 13:46:30 +0000

gcc-defaults (1.33) unstable; urgency=low

  * Add gobjc++ package.
  * Build-Depend on gcc-4.1-base.

 -- Matthias Klose <doko@debian.org>  Sat,  1 Apr 2006 12:21:34 +0000

gcc-defaults (1.32) unstable; urgency=low

  * Depend on the 3.4.6 and 4.0.3 final releases.
  * Build-depend on the appropriate gcc-X.Y-base, gcj-X.Y-base packages.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Mar 2006 22:36:58 +0100

gcc-defaults (1.31) unstable; urgency=low

  * Use epoch for all packages.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Dec 2005 02:46:58 +0100
