=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: standard
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
-Uploaders: Matthias Klose <doko@debian.org>, Ryan Murray <rmurray@debian.org>
+Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 3.6.2
-Build-Depends: m4, debhelper (>= 4.2), dpkg-dev (>= 1.13.9), gcc-3.4-base (>= 3.4.6), gcc-4.0-base (>= 4.0.3), gcj-4.1-base (>= 4.1.0)
+Build-Depends: m4, debhelper (>= 4.2), dpkg-dev (>= 1.13.9), gcc-3.4-base (>= 3.4.6), gcj-4.1-base (>= 4.1.1) [!hurd-i386], gcc-4.1-base (>= 4.1.1), lsb-release
 
 Package: cpp
 Architecture: any
@@ -42,19 +42,18 @@
  .
  This is a dependency package providing the default GNU Objective-C compiler.
 
-Package: chill
-Priority: extra
-Architecture: any
-Depends: cpp (>= ${version:cpp}), chill-${pv:chill} ${reqv:chill}, gcc-${pv:chill} ${reqv:chill}
-Description: The GNU CHILL compiler
- This is the ITU CHILL compiler. CHILL is the "CCITT High-Level Language",
- where CCITT is the old name for what is now ITU, the International
- Telecommunications Union. It is a language in the Modula-2 family, and targets
- many of the same applications as Ada (especially large embedded systems).
- CHILL was never used much in the United States, but is still being used in
- Europe, Brazil, Korea, and other places.
- .
- This is a dependency package providing the default GNU CHILL compiler.
+Package: gobjc++
+Priority: optional
+Architecture: any
+Depends: cpp (>= ${version:cpp}), gcc (>= ${version:cpp}), gobjc++-${pv:gobjcxx} ${reqv:gobjcxx}
+Recommends: g++ (>= ${version:cpp}), gobjc (>= ${version:cpp})
+Provides: objc++-compiler
+Description: The GNU Objective-C++ compiler
+ This is the GNU Objective-C++ compiler, which compiles
+ Objective-C++ on platforms supported by the gcc compiler. It uses the
+ gcc backend to generate optimized code.
+ .
+ This is a dependency package providing the default GNU Objective-C++ compiler.
 
 Package: g77
 Priority: optional
@@ -85,8 +84,9 @@
 Package: gcj
 Priority: optional
 Architecture: any
-Depends: cpp (>= ${version:cpp}), g++ (>= ${version:cpp}), libgcj-dev (>= ${version:gcj}), gij (>= ${version:cpp}), gcj-${pv:gcj} ${reqv:gcj}
-Provides: java-compiler
+Depends: cpp (>= ${version:cpp}), gij (>= ${version:gcj}), gcj-${pv:gcj} ${reqv:gcj}
+Provides: java-compiler, libgcj-dev
+Replaces: libgcj5-dev, libgcj6-dev, libgcj7-dev (<< 4.1.1-12)
 Description: The GNU Java compiler
  GCJ is a front end to the GCC compiler which can natively compile both
  Java(tm) source and bytecode files. The compiler can also generate class
@@ -94,25 +94,13 @@
  .
  This is a dependency package providing the default GNU Java compiler.
 
-Package: libgcj-dev
-Section: libdevel
-Priority: optional
-Architecture: any
-Depends: cpp (>= ${version:cpp}), ${libgcj}-dev ${reqv:libgcj}, gcj ${reqv:libgcj}
-Description: Java development headers and static library for use with gcj 
- These are the development headers and static libraries that go along with 
- the gcj front end to gcc. libgcj includes parts of the Java Class Libraries, 
- plus glue to connect the libraries to the compiler and the underlying OS.
- .
- This is a dependency package providing the default Java development headers.
-
 Package: gij
 Priority: optional
 Architecture: any
-Depends: cpp (>= ${version:cpp}), gij-${pv:gij} ${reqv:gij}
+Depends: libgcj-bc (>= ${version:libgcjbc}), gij-${pv:gij} ${reqv:gij}
 Suggests: gcj (>= ${version:cpp})
-Conflicts: libgcj2 (<= 3.0.2-4)
-Provides: java-runtime, java1-runtime, java-virtual-machine
+Conflicts: libgcj2 (<= 3.0.2-4), java-gcj-compat (<< 1.0.56)
+Provides: java-runtime, java1-runtime, java2-runtime, java-virtual-machine
 Description: The GNU Java bytecode interpreter
  GIJ is not limited to interpreting bytecode. It includes a class loader which
  can dynamically load shared objects, so it is possible to give it the name
@@ -121,6 +109,28 @@
  .
  This is a dependency package providing the default GNU Java bytecode
  interpreter.
+
+Package: libgcj-bc
+Section: libs
+Architecture: any
+Priority: optional
+Depends: ${pkg:libgcj} ${reqv:gij}
+Description: Link time only library for use with gcj
+ A fake library that is used at link time only.  It ensures that
+ binaries built with the BC-ABI link against a constant SONAME.
+ This way, BC-ABI binaries continue to work if the SONAME underlying
+ libgcj.so changes.
+
+Package: lib32gcj-bc
+Section: libs
+Architecture: amd64
+Priority: optional
+Depends: ${pkg:lib32gcj} ${reqv:gij}
+Description: Link time only library for use with gcj (32bit)
+ A fake library that is used at link time only.  It ensures that
+ binaries built with the BC-ABI link against a constant SONAME.
+ This way, BC-ABI binaries continue to work if the SONAME underlying
+ libgcj.so changes.
 
 Package: gpc
 Priority: optional
@@ -133,7 +143,7 @@
  This is the GNU Pascal compiler, which compiles Pascal on platforms supported
  by the gcc compiler. It uses the gcc backend to generate optimized code.
  .
- The current version 2.2 (release candiate 2) implements Standard Pascal
+ The current version 2.2 (release candidate 2) implements Standard Pascal
  (ISO 7185, level 1), a large subset of Extended Pascal (ISO 10206), and
  Borland Pascal. Many Borland Pascal units supported.
  .
@@ -152,6 +162,7 @@
  This is a dependency package providing the default GNU C compiler.
 
 Package: cpp-doc
+Section: doc
 Architecture: any
 Priority: optional
 Depends: cpp-${pv:cpp}-doc ${reqv:cpp}
@@ -168,6 +179,7 @@
  Documentation for the GNU Fortran compiler in info format (dependency package).
 
 Package: gfortran-doc
+Section: doc
 Architecture: any
 Priority: optional
 Depends: gfortran-${pv:gfort}-doc ${reqv:gfort}
@@ -176,6 +188,7 @@
  Documentation for the GNU Fortran compiler in info format (dependency package).
 
 Package: gpc-doc
+Section: doc
 Architecture: any
 Priority: optional
 Depends: gpc-${pv:gpc}-doc ${reqv:gpc}
@@ -184,9 +197,30 @@
  Documentation for the GNU Pascal compiler in info format (dependency package).
 
 Package: gcc-doc
+Section: doc
 Architecture: any
 Priority: optional
 Depends: gcc-${pv:gcc}-doc ${reqv:gcc}
 Suggests: gcc (>= ${version:gcc})
 Description: Documentation for the GNU C compilers (gcc, gobjc, g++)
  Documentation for the GNU compilers in info format (dependency package).
+
+Package: gnat
+Architecture: alpha amd64 hppa i386 ia64 mips mipsel powerpc s390 sparc kfreebsd-i386
+Priority: optional
+Depends: gnat-${pv:gcc}, cpp (>= ${version:cpp})
+Conflicts: gnat-3.3, gnat-3.4, gnat-4.0, gnat-4.1 (<< 4.1.1-6)
+Description: The GNU Ada compiler
+ This is a dependency package providing the default GNU Ada compiler.
+ Per policy, all packages that contain Ada sources must use this package
+ in their Build-Depends line.
+
+Package: gnat-doc
+Section: doc
+Architecture: any
+Priority: optional
+Depends: gnat-${pv:gcc}-doc ${reqv:gcc}
+Suggests: gnat (>= ${version:gcc})
+Description: Documentation for the GNU Ada compiler
+ Documentation for the GNU Ada compiler in info and html format
+ (dependency package).
