=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 REL_NO_344	:= $(shell expr $(VMINOR) - 23)$(REL_EXT)
 # gcc-defaults 1.30 is the first version with 3.4.5 support.
 REL_NO_345	:= $(shell expr $(VMINOR) - 29)$(REL_EXT)
-# gcc-defaults 1.32 is the first version with 3.4.6 support.
+# gcc-defaults 1.32 is the first version with 3.4.5 support.
 REL_NO_346	:= $(shell expr $(VMINOR) - 31)$(REL_EXT)
 
 # gcc-defaults 1.23 is the first version with 4.0.0 support.
@@ -57,10 +57,11 @@
 # gcc-defaults 1.32 is the first version with 4.0.3 support.
 REL_NO_403	:= $(shell expr $(VMINOR) - 31)$(REL_EXT)
 
-# gcc-defaults 1.32 is the first version with 4.1.0 support.
-REL_NO_410 	:= $(shell expr $(VMINOR) - 31)$(REL_EXT)
-
-#
+# gcc-defaults 1.33 is the first version with 4.1.0 support.
+REL_NO_410	:= $(shell expr $(VMINOR) - 33)$(REL_EXT)
+# gcc-defaults 1.36 is the first version with 4.1.0 support.
+REL_NO_411	:= $(shell expr $(VMINOR) - 35)$(REL_EXT)
+
 GPC_VERSION	:= 2.1
 
 # minimum required gcc-X.Y versions
@@ -69,9 +70,10 @@
 REQV_30		:= (>= 1:3.0.4-12)
 REQV_32		:= (>= 1:3.2.3-1)
 REQV_33		:= (>= 1:3.3.6-1)
-REQV_34		:= (>= 3.4.6)
-REQV_40		:= (>= 4.0.3)
-REQV_41		:= (>= 4.1.0)
+REQV_GPC_33	:= (>= 1:3.3.6.$(GPC_DATE)-1)
+REQV_34		:= (>= 3.4.6-1)
+REQV_40		:= (>= 4.0.3-1)
+REQV_41		:= (>= 4.1.1-2)
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -81,86 +83,130 @@
 CV_CHILL:= 2.95.4-$(REL_NO_295)
 CV_GPC	:= 3.4.6-$(REL_NO_346)
 
-CV_CPP	:= 4.0.3-$(REL_NO_403)
-CV_GCC	:= 4.0.3-$(REL_NO_403)
-CV_GPP	:= 4.0.3-$(REL_NO_403)
-CV_GOBJC:= 4.0.3-$(REL_NO_403)
-CV_G77	:= 3.4.6-$(REL_NO_346)
-CV_GFORT:= 4.0.3-$(REL_NO_403)
-CV_GCJ	:= 4.1.0-$(REL_NO_410)
-CV_GIJ	:= 4.1.0-$(REL_NO_410)
+CV_CPP		:= 4.1.1-$(REL_NO_411)
+CV_GCC		:= 4.1.1-$(REL_NO_411)
+CV_GPP		:= 4.1.1-$(REL_NO_411)
+CV_GOBJC	:= 4.1.1-$(REL_NO_411)
+CV_GOBJCXX	:= 4.1.1-$(REL_NO_411)
+CV_G77		:= 3.4.6-$(REL_NO_346)
+CV_GFORT	:= 4.1.1-$(REL_NO_411)
+CV_GCJ		:= 4.1.1-$(REL_NO_411)
+CV_GIJ		:= 4.1.1-$(REL_NO_411)
+# XXX sync with the releae of 4.1.2
+CV_LIBGCJBC	:= 4.1.1-$(shell expr $(VMINOR) - 29)$(REL_EXT)
 
 REQV_CHILL	= $(REQV_295)
 REQV_GPC	= $(REQV_34)
 
-REQV_CPP	= $(REQV_40)
-REQV_GCC	= $(REQV_40)
-REQV_GPP	= $(REQV_40)
-REQV_GOBJC	= $(REQV_40)
+REQV_CPP	= $(REQV_41)
+REQV_GCC	= $(REQV_41)
+REQV_GPP	= $(REQV_41)
+REQV_GOBJC	= $(REQV_41)
+REQV_GOBJCXX	= $(REQV_41)
 REQV_G77	= $(REQV_34)
-REQV_GFORT	= $(REQV_40)
+REQV_GFORT	= $(REQV_41)
 REQV_GCJ	= $(REQV_41)
 REQV_GIJ	= $(REQV_41)
-REQV_LIBGCJ	= $(REQV_41)
-REQV_LIBGCJ	= $(REQV_40)
 REQV_GPC	= $(REQV_34)
-
-LIBGCJ		= libgcj7
 
 EPOCH=4
 OS_NAME	:= Linux
-packages := chill c++ f77 fortran java objc pascal
+distribution := $(shell lsb_release -is)
+all_packages	:= gnat g++ g77 gfortran gcj gobjc gobjc++ gpc
+no_packages	:= chill
+
+LIBGCJ		= libgcj7-0
+LIB32GCJ	= lib32gcj7-0
+LIBGCJ_SONAME	= 70
+
+ifneq ($(distribution)-$(DEB_HOST_ARCH),Debian-amd64)
+  lib32         = usr/lib32
+else
+  lib32         = emul/ia32-linux/usr/lib
+endif
+
+with_gfdl_docs := no
+ifeq ($(distribution),Ubuntu)
+  with_gfdl_docs := yes
+endif
 
 ifeq ($(DEB_HOST_ARCH),alpha)
 endif
 
 ifeq ($(DEB_HOST_ARCH),amd64)
-    packages	:= c++ f77 fortran java objc pascal
-    no_packages	:= chill
 endif
 
 ifeq ($(DEB_HOST_ARCH),arm)
+    no_packages += gnat
+endif
+
+ifeq ($(DEB_HOST_ARCH),hppa)
+endif
+
+ifeq ($(DEB_HOST_ARCH),i386)
+endif
+
+ifeq ($(DEB_HOST_ARCH),hurd-i386)
+    OS_NAME	:= Hurd
+    no_packages += gnat gcj gij
 endif
 
 ifeq ($(DEB_HOST_ARCH),ia64)
-    packages	:= c++ f77 fortran java objc pascal
-    no_packages	:= chill
-endif
-
-ifeq ($(DEB_HOST_ARCH),i386)
+endif
+
+ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
+    OS_NAME	:= kFreeBSD
+endif
+
+ifeq ($(DEB_HOST_ARCH),m32r)
+    no_packages += gnat
+endif
+
+ifeq ($(DEB_HOST_ARCH),m68k)
+    no_packages += gnat
+endif
+
+ifeq ($(DEB_HOST_ARCH),mips)
+endif
+
+ifeq ($(DEB_HOST_ARCH),mipsel)
+endif
+
+ifeq ($(DEB_HOST_ARCH),netbsd-i386)
+    OS_NAME	:= NetBSD
+    no_packages += gnat
+endif
+
+ifeq ($(DEB_HOST_ARCH),powerpc)
+endif
+
+ifeq ($(DEB_HOST_ARCH),s390)
 endif
 
 tmp:=$(filter $(DEB_HOST_ARCH),sh3-linux sh4-linux sh3eb-linux sh4eb-linux)
 ifeq ($(DEB_HOST_ARCH),$(tmp))
-    packages    := c++ objc
-    no_packages	:= chill g77 g77-doc gfortran gfortran-doc gcj gij libgcj-dev gpc gpc-doc 
-endif
-
-ifeq ($(DEB_HOST_ARCH),hppa)
-    packages	:= c++ f77 fortran java objc pascal
-    no_packages	:= chill
-endif
-
-ifeq ($(DEB_HOST_ARCH),m68k)
-endif
-
-ifeq ($(DEB_HOST_ARCH),i386-gnu)
-    OS_NAME	:= Hurd
-endif
-
-ifeq ($(DEB_HOST_ARCH),netbsd-i386)
-    OS_NAME	:= NetBSD
-endif
-
-ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
-    OS_NAME	:= kFreeBSD
-endif
+    no_packages += gnat g77 gfortran gcj gpc
+endif
+
+ifeq ($(DEB_HOST_ARCH),sparc)
+endif
+
+ifneq (,$(findstring gnat, $(no_packages)))
+    no_packages += gnat-doc
+endif
+
+ifneq ($(with_gfdl_docs),yes)
+    no_packages := $(sort $(no_packages) gnat-doc cpp-doc gcc-doc gfortran-doc g77-doc)
+endif
+
+packages := $(filter-out $(no_packages), $(all_packages))
 
 # derived version number (without release)
 V_CPP	:= $(shell echo $(CV_CPP)   | sed 's/-[^-]*$$//')
 V_GCC	:= $(shell echo $(CV_GCC)   | sed 's/-[^-]*$$//')
 V_GPP	:= $(shell echo $(CV_GPP)   | sed 's/-[^-]*$$//')
 V_GOBJC	:= $(shell echo $(CV_GOBJC) | sed 's/-[^-]*$$//')
+V_GOBJCXX	:= $(shell echo $(CV_GOBJCXX) | sed 's/-[^-]*$$//')
 V_G77	:= $(shell echo $(CV_G77)   | sed 's/-[^-]*$$//')
 V_GFORT	:= $(shell echo $(CV_GFORT) | sed 's/-[^-]*$$//')
 V_CHILL	:= $(shell echo $(CV_CHILL) | sed 's/-[^-]*$$//')
@@ -173,6 +219,7 @@
 PV_GCC	:= $(shell echo $(V_GCC)   | awk -F. '{printf "%d.%d", $$1, $$2}')
 PV_GPP	:= $(shell echo $(V_GPP)   | awk -F. '{printf "%d.%d", $$1, $$2}')
 PV_GOBJC:= $(shell echo $(V_GOBJC) | awk -F. '{printf "%d.%d", $$1, $$2}')
+PV_GOBJCXX:= $(shell echo $(V_GOBJCXX) | awk -F. '{printf "%d.%d", $$1, $$2}')
 PV_G77	:= $(shell echo $(V_G77)   | awk -F. '{printf "%d.%d", $$1, $$2}')
 PV_GFORT:= $(shell echo $(V_GFORT) | awk -F. '{printf "%d.%d", $$1, $$2}')
 PV_CHILL:= $(shell echo $(V_CHILL) | awk -F. '{printf "%d.%d", $$1, $$2}')
@@ -189,32 +236,5 @@
 	   -DV_GCC=$(V_GCC)     -DPV_GCC=$(PV_GCC) \
 	   -DV_GPP=$(V_GPP)     -DPV_GPP=$(PV_GPP) \
 	   -DV_GOBJC=$(V_GOBJC) -DPV_GOBJC=$(PV_GOBJC) \
+	   -DV_GOBJCXX=$(V_GOBJCXX) -DPV_GOBJCXX=$(PV_GOBJCXX) \
 	   -DV_CHILL=$(V_CHILL) -DPV_CHILL=$(PV_CHILL) \
-	   -DV_G77=$(V_G77)     -DPV_G77=$(PV_G77) \
-	   -DV_GFORT=$(V_GFORT) -DPV_GFORT=$(PV_GFORT) \
-	   -DV_GCJ=$(V_GCJ)     -DPV_GCJ=$(PV_GCJ) \
-	   -DV_GIJ=$(V_GCJ)     -DPV_GIJ=$(PV_GCJ) \
-	   -DV_GPC=$(V_GPC)     -DPV_GPC=$(PV_GPC) \
-		debian/README.Debian.m4 > debian/README.Debian.tmp2
-	uniq debian/README.Debian.tmp2 > debian/README.Debian.tmp
-	rm -f debian/README.Debian.tmp2
-	[ -e debian/README.Debian ] \
-	  && cmp -s debian/README.Debian debian/README.Debian.tmp \
-	  && rm -f debian/README.Debian.tmp && exit 0; \
-	  mv debian/README.Debian.tmp debian/README.Debian
-
-substvars:
-	( \
-	  echo 'version:cpp=$(EPOCH):$(CV_CPP)'; \
-	  echo 'version:gcc=$(EPOCH):$(CV_GCC)'; \
-	  echo 'version:gpp=$(EPOCH):$(CV_GPP)'; \
-	  echo 'version:gij=$(EPOCH):$(CV_GIJ)'; \
-	  echo 'version:gcj=$(EPOCH):$(CV_GCJ)'; \
-	  echo 'version:gpc=$(EPOCH):$(CV_GPC)'; \
-	  echo 'version:g77=$(EPOCH):$(CV_G77)'; \
-	  echo 'version:gfort=$(EPOCH):$(CV_GFORT)'; \
-	  echo 'libgcj=$(LIBGCJ)'; \
-	  echo 'pv:cpp=$(PV_CPP)'; \
-	  echo 'pv:gcc=$(PV_GCC)'; \
-	  echo 'pv:gpp=$(PV_GPP)'; \
-	  echo 'pv:gobjc=$(PV_GOBJC)'; \
