## gcc-defaults 1.50

=== debian/changelog ===
gcc-defaults (1.50) unstable; urgency=medium

  * gcj: Fix pkgconfig symlink. Closes: #394281, #404263.
  * gcj: Conflict with libgcj2. Closes: #398127.
  * Add copyright for the c89 and c99 manpages. Closes: #398065.
  * gij: Recommend libgcj7-awt. Do not depend on it, because we want
    to be able to install the runtime without X dependencies.
    Closes: #394917.

 -- Matthias Klose <doko@debian.org>  Mon,  1 Jan 2007 19:09:28 +0100

gcc-defaults (1.49) unstable; urgency=low

  * Replaces java-gcj-compat (<< 1.0.65-8), not (<< 1.0.65-7).
    Really fixes #393903.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Oct 2006 21:11:19 +0200

gcc-defaults (1.48) unstable; urgency=low

  * Remove fsf-funding (again). Closes: #385732.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Oct 2006 20:48:45 +0200

gcc-defaults (1.47) unstable; urgency=low

  * libgcj-common: Add rebuild-security-providers, move
    /usr/lib/security/classpath.security to /var, rebuild it
    on installation.
  * Fix libgcj-bc symlinks. Closes: #393351, #393562.
  * /usr/share/gcj/debian_defaults: Makefile inclusion file
    to define gcj_archs and gcj_native_archs.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Oct 2006 01:47:31 +0200

gcc-defaults (1.46) unstable; urgency=low

  * Build libgcj-common from the gcc-defaults sources.

 -- Matthias Klose <doko@debian.org>  Sat,  7 Oct 2006 15:00:14 +0200

gcc-defaults (1.45) unstable; urgency=low

  * Fix g77 and gfortran postinst installation scripts.

 -- Matthias Klose <doko@debian.org>  Mon,  2 Oct 2006 00:47:13 +0200

gcc-defaults (1.44) unstable; urgency=low

  * Remove the subversion directory from the upload.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Sep 2006 14:44:54 +0200

gcc-defaults (1.43) unstable; urgency=low

  * Do not install alternatives for man pages licensed under the GFDL,
    second round. Closes: #387161, #390201, #388347.
  * Upload package built with -Ifsf-funding. Closes: #385732.
  * Let gij provide java2-runtime. Closes: #389215.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Sep 2006 13:55:56 +0200

gcc-defaults (1.42) unstable; urgency=medium

  * Build libgcj-bc from the gcc-defaults source package.
  * gij: Add symlinks for gcj-dbtool, grmiregistry.
  * gcj: Add symlinks for gcjh-wrapper.
  * Do not install alternatives for man pages licensed under the GFDL.
    Closes: #384278, #384303, #384923, #384927.

 -- Matthias Klose <doko@debian.org>  Sat,  2 Sep 2006 13:20:16 +0000

gcc-defaults (1.41) unstable; urgency=low

  [Ludovic Brenta]
  * Do not build gnat on m32r.  Closes: #379079.

  [Michael Banck]
  * debian/control (Build-Depends): Conditionalize gcj-4.1 to !hurd-i386.
  * debian/rules:
    + Use hurd-i386, not gnu-i386 when matching DEB_HOST_ARCH.
    + Add gcj and gij to no_packages for hurd-i386.
  * Closes: #381018.

  [Matthias Klose]
  * Do not build dependency packages for -doc packages licensed under the GFDL.
  * Do not install symlinks for manpages licensed under the GFDL.
    Closes: #200003.
  * README: Mention gfortran.
  * Add paragraph about missing GFDL'd docs and manual pages.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Aug 2006 23:42:01 +0200
