=== debian/rules ===
--- 
+++ 
@@ -116,6 +116,7 @@
 no_packages	:= chill
 
 LIBGCJ		= libgcj7-0
+LIBGCJ_PC	= libgcj7.pc
 LIB32GCJ	= lib32gcj7-0
 LIBGCJ_SONAME	= 70
 
@@ -124,6 +125,9 @@
 else
   lib32         = emul/ia32-linux/usr/lib
 endif
+
+gcj_archs = alpha amd64 hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 sparc
+gcj_native_archs = alpha amd64 i386 ia64 mips mipsel powerpc ppc64 s390 sparc
 
 with_gfdl_docs := no
 ifeq ($(distribution),Ubuntu)
@@ -234,7 +238,3 @@
 	   -DDEB_ARCH=$(DEB_HOST_ARCH) \
 	   -DV_CPP=$(V_CPP)     -DPV_CPP=$(PV_CPP) \
 	   -DV_GCC=$(V_GCC)     -DPV_GCC=$(PV_GCC) \
-	   -DV_GPP=$(V_GPP)     -DPV_GPP=$(PV_GPP) \
-	   -DV_GOBJC=$(V_GOBJC) -DPV_GOBJC=$(PV_GOBJC) \
-	   -DV_GOBJCXX=$(V_GOBJCXX) -DPV_GOBJCXX=$(PV_GOBJCXX) \
-	   -DV_CHILL=$(V_CHILL) -DPV_CHILL=$(PV_CHILL) \
