## gcc-defaults 1.51ubuntu1

=== debian/changelog ===
gcc-defaults (1.51ubuntu1) feisty; urgency=low

  * Depend on the 4.1.2 final release.
  * Update maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Feb 2007 20:01:26 +0100

gcc-defaults (1.50ubuntu1) feisty; urgency=low

  * Merge with Debian unstable; remaining changes:
    - Build the cpp-doc, gcc-doc, g77-doc, gfortran-doc, gnat-doc packages.
    - Add fsf-funding.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  2 Jan 2007 13:49:23 +0100
