=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: gcc-defaults
 Section: devel
 Priority: standard
-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Ubuntu Core developers <ubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Standards-Version: 3.6.2
-Build-Depends: m4, debhelper (>= 4.2), dpkg-dev (>= 1.13.9), gcc-3.4-base (>= 3.4.6), gcj-4.1-base (>= 4.1.1) [!hurd-i386], gcc-4.1-base (>= 4.1.1), lsb-release
+Standards-Version: 3.7.2
+Build-Depends: m4, debhelper (>= 4.2), dpkg-dev (>= 1.13.9), gcc-3.4-base (>= 3.4.6), gcj-4.1-base (>= 4.1.2) [!hurd-i386], gcc-4.1-base (>= 4.1.2), lsb-release
 
 Package: cpp
 Architecture: any
@@ -190,3 +191,48 @@
  This is a dependency package providing the default GNU Ada compiler.
  Per policy, all packages that contain Ada sources must use this package
  in their Build-Depends line.
+
+Package: cpp-doc
+Section: doc
+Architecture: any
+Priority: optional
+Depends: cpp-${pv:cpp}-doc ${reqv:cpp}
+Suggests: cpp (>= ${version:cpp})
+Description: Documentation for the GNU C preprocessor (cpp)
+ Documentation for the GNU C preprocessor in info format (dependency package).
+
+Package: g77-doc
+Architecture: any
+Priority: optional
+Depends: g77-${pv:g77}-doc ${reqv:g77}
+Suggests: g77 (>= ${version:g77})
+Description: Documentation for the GNU Fortran compiler (g77)
+ Documentation for the GNU Fortran compiler in info format (dependency package).
+
+Package: gfortran-doc
+Section: doc
+Architecture: any
+Priority: optional
+Depends: gfortran-${pv:gfort}-doc ${reqv:gfort}
+Suggests: gfortran (>= ${version:gfort})
+Description: Documentation for the GNU Fortran compiler (gfortran)
+ Documentation for the GNU Fortran compiler in info format (dependency package).
+
+Package: gcc-doc
+Section: doc
+Architecture: any
+Priority: optional
+Depends: gcc-${pv:gcc}-doc ${reqv:gcc}
+Suggests: gcc (>= ${version:gcc})
+Description: Documentation for the GNU C compilers (gcc, gobjc, g++)
+ Documentation for the GNU compilers in info format (dependency package).
+
+Package: gnat-doc
+Section: doc
+Architecture: any
+Priority: optional
+Depends: gnat-${pv:gcc}-doc ${reqv:gcc}
+Suggests: gnat (>= ${version:gcc})
+Description: Documentation for the GNU Ada compiler
+ Documentation for the GNU Ada compiler in info and html format
+ (dependency package).
