=== debian/rules ===
--- 
+++ 
@@ -59,8 +59,10 @@
 
 # gcc-defaults 1.33 is the first version with 4.1.0 support.
 REL_NO_410	:= $(shell expr $(VMINOR) - 33)$(REL_EXT)
-# gcc-defaults 1.36 is the first version with 4.1.0 support.
+# gcc-defaults 1.36 is the first version with 4.1.1 support.
 REL_NO_411	:= $(shell expr $(VMINOR) - 35)$(REL_EXT)
+# gcc-defaults 1.51 is the first version with 4.1.2 support.
+REL_NO_412	:= $(shell expr $(VMINOR) - 50)$(REL_EXT)
 
 GPC_VERSION	:= 2.1
 
@@ -73,7 +75,7 @@
 REQV_GPC_33	:= (>= 1:3.3.6.$(GPC_DATE)-1)
 REQV_34		:= (>= 3.4.6-1)
 REQV_40		:= (>= 4.0.3-1)
-REQV_41		:= (>= 4.1.1-2)
+REQV_41		:= (>= 4.1.2)
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -83,17 +85,16 @@
 CV_CHILL:= 2.95.4-$(REL_NO_295)
 CV_GPC	:= 3.4.6-$(REL_NO_346)
 
-CV_CPP		:= 4.1.1-$(REL_NO_411)
-CV_GCC		:= 4.1.1-$(REL_NO_411)
-CV_GPP		:= 4.1.1-$(REL_NO_411)
-CV_GOBJC	:= 4.1.1-$(REL_NO_411)
-CV_GOBJCXX	:= 4.1.1-$(REL_NO_411)
+CV_CPP		:= 4.1.2-$(REL_NO_412)
+CV_GCC		:= 4.1.2-$(REL_NO_412)
+CV_GPP		:= 4.1.2-$(REL_NO_412)
+CV_GOBJC	:= 4.1.2-$(REL_NO_412)
+CV_GOBJCXX	:= 4.1.2-$(REL_NO_412)
 CV_G77		:= 3.4.6-$(REL_NO_346)
-CV_GFORT	:= 4.1.1-$(REL_NO_411)
-CV_GCJ		:= 4.1.1-$(REL_NO_411)
-CV_GIJ		:= 4.1.1-$(REL_NO_411)
-# XXX sync with the releae of 4.1.2
-CV_LIBGCJBC	:= 4.1.1-$(shell expr $(VMINOR) - 29)$(REL_EXT)
+CV_GFORT	:= 4.1.2-$(REL_NO_412)
+CV_GCJ		:= 4.1.2-$(REL_NO_412)
+CV_GIJ		:= 4.1.2-$(REL_NO_412)
+CV_LIBGCJBC	:= 4.1.2-$(REL_NO_412)
 
 REQV_CHILL	= $(REQV_295)
 REQV_GPC	= $(REQV_34)
@@ -237,4 +238,3 @@
 	   -DOS_NAME=$(OS_NAME) \
 	   -DDEB_ARCH=$(DEB_HOST_ARCH) \
 	   -DV_CPP=$(V_CPP)     -DPV_CPP=$(PV_CPP) \
-	   -DV_GCC=$(V_GCC)     -DPV_GCC=$(PV_GCC) \
